Gecode::PostInfo Class Reference

Class to set group information when a post function is executed. More...

`#include <core.hpp>`

## Public Member Functions

| PostInfo (Home home)
| Set information.
| ~PostInfo (void)
| Reset information.

## Protected Attributes

Space & | h
| The home space.
PropagatorGroup | pg
| The propagator group.
unsigned int | pid
| Next free propagator id.
bool | nested
| Whether it is used nested.

## Detailed Description

Class to set group information when a post function is executed.

Definition at line 948 of file core.hpp.

## Constructor & Destructor Documentation

## PostInfo()

Gecode::PostInfo::PostInfo | ( | Home | home | ) |

inline

Set information.

Definition at line 3356 of file core.hpp.

## ~PostInfo()

Gecode::PostInfo::~PostInfo | ( | void |  | ) |

inline

Reset information.

Definition at line 3364 of file core.hpp.

## Member Data Documentation

## h

Space& Gecode::PostInfo::h

protected

The home space.

Definition at line 952 of file core.hpp.

## pg

PropagatorGroup Gecode::PostInfo::pg

protected

The propagator group.

Definition at line 954 of file core.hpp.

## pid

unsigned int Gecode::PostInfo::pid

protected

Next free propagator id.

Definition at line 956 of file core.hpp.

## nested

bool Gecode::PostInfo::nested

protected

Whether it is used nested.

Definition at line 958 of file core.hpp.

The documentation for this class was generated from the following file:

- gecode/kernel/core.hpp